Bug 1731516 - VMware Image based Provisioning fails with error- : Could not find virtual machine network interface matching <IP>
Summary: VMware Image based Provisioning fails with error- : Could not find virtual ma...
Keywords:
Status: VERIFIED
Alias: None
Product: Red Hat Satellite 6
Classification: Red Hat
Component: Compute Resources - VMWare
Version: 6.4
Hardware: x86_64
OS: All
unspecified
medium vote
Target Milestone: 6.7.0
Assignee: Ondřej Ezr
QA Contact: Sanket Jagtap
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-07-19 15:31 UTC by roarora
Modified: 2020-01-22 10:12 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed:
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Foreman Issue Tracker 27353 Normal Closed VMware Image based Provisioning fails with error- : Could not find virtual machine network interface matching <IP> 2020-02-10 11:39:29 UTC

Description roarora 2019-07-19 15:31:46 UTC
Description of problem:
> Satellite 6.4
> VSphere Version 6.7

Image based build fails with errors :
-----------------
019-06-19T09:35:35 [D|app|e0041] Processing task 'Query instance details for host.example.com' from 'Host::Managed Main'
2019-06-19T09:35:35 [D|app|e0041] Orchestration::Compute: Trying to match network interfaces from fog   <Fog::Compute::Vsphere::Interfaces
    server_id="500e25d1-8178-d44b-0974-ba04d811330b"
    [
                  <Fog::Compute::Vsphere::Interface
        mac="00:XX:XX:XX:XX:XX",
        network=nil,
        name="Network adapter 1",
        status="untried",
        connected=false,
        summary="DVSwitch: 17 6e 0e 50 22 4d 5d 07-f8 71 78 86 53 9c 7b f3",
        type=RbVmomi::VIM::VirtualVmxnet3,
        key=4000,
        virtualswitch=nil,
        server_id="500e25d1-8178-d44b-0974-ba04d811330b"
      >
    ]
  >
2019-06-19T09:35:35 [W|app|e0041] Orchestration::Compute: Could not match network interface #<Nic::Managed id: nil, mac: nil, ip: "10.0.0.1", type: "Nic::Managed", name: "host.example.com", host_id: nil, subnet_id: 1, domain_id: 1, attrs: {}, created_at: nil, updated_at: nil, provider: nil, username: nil, password: nil, virtual: false, link: true, identifier: "", tag: "", attached_to: "", managed: true, mode: "balance-rr", attached_devices: "", bond_options: "", primary: true, provision: true, compute_attributes: {"type"=>"VirtualVmxnet3", "network"=>"network-5366"}, execution: true, ip6: "", subnet6_id: nil>
2019-06-19T09:35:35 [W|app|e0041] Could not find virtual machine network interface matching 10.0.0.1
2019-06-19T09:35:35 [W|app|e0041] Rolling back due to a problem:
-----------------

Reproducing environment:
> Standard Switches, no Distributed Switches
> ESXi servers in cluster have network each on them with same names

Version-Release number of selected component (if applicable):
Satellite 6.4

How reproducible:
Specific to VMware environment as explained above

Actual results:
> Fails with error  Could not find virtual machine network interface matching <IP>

Expected results:
> Build system without issues

Comment 4 Ondřej Ezr 2019-07-19 15:38:24 UTC
Created redmine issue https://projects.theforeman.org/issues/27353 from this bug

Comment 5 Bryan Kearney 2019-07-19 16:06:55 UTC
Upstream bug assigned to oezr@redhat.com

Comment 6 Bryan Kearney 2019-07-19 16:06:57 UTC
Upstream bug assigned to oezr@redhat.com

Comment 7 Bryan Kearney 2019-10-02 12:06:27 UTC
Moving this bug to POST for triage into Satellite 6 since the upstream issue https://projects.theforeman.org/issues/27353 has been resolved.

Comment 8 Sanket Jagtap 2020-01-22 10:12:07 UTC
Build: Satellite 6.7 snap9 


Two ESXi server with same network name standard switch and also a portgroup with same name

Without the Fix:
Unable to save
Could not find virtual machine network interface matching 192.168.100.96

After the fix:
2020-01-22T04:56:15 [I|app|05ac9418] Processed 11 tasks from queue 'Host::Managed Main', completed 11/11
2020-01-22T04:56:15 [I|aud|05ac9418] Nic::Managed (7) create event on mac 00:50:56:8d:d9:95
2020-01-22T04:56:15 [I|aud|05ac9418] Nic::Managed (7) create event on ip 192.168.100.99
2020-01-22T04:56:15 [I|aud|05ac9418] Nic::Managed (7) create event on type Nic::Managed
2020-01-22T04:56:15 [I|aud|05ac9418] Nic::Managed (7) create event on name satvm.com
2020-01-22T04:56:15 [I|aud|05ac9418] Nic::Managed (7) create event on host_id 4
2020-01-22T04:56:15 [I|aud|05ac9418] Nic::Managed (7) create event on subnet_id 2
2020-01-22T04:56:15 [I|aud|05ac9418] Nic::Managed (7) create event on domain_id 1
2020-01-22T04:56:15 [I|aud|05ac9418] Nic::Managed (7) create event on attrs {}
2020-01-22T04:56:15 [I|aud|05ac9418] Nic::Managed (7) create event on provider 
2020-01-22T04:56:15 [I|aud|05ac9418] Nic::Managed (7) create event on username 
2020-01-22T04:56:15 [I|aud|05ac9418] Nic::Managed (7) create event on password [redacted]
2020-01-22T04:56:15 [I|aud|05ac9418] Nic::Managed (7) create event on virtual false
2020-01-22T04:56:15 [I|aud|05ac9418] Nic::Managed (7) create event on link true
2020-01-22T04:56:15 [I|aud|05ac9418] Nic::Managed (7) create event on identifier 
2020-01-22T04:56:15 [I|aud|05ac9418] Nic::Managed (7) create event on tag 
2020-01-22T04:56:15 [I|aud|05ac9418] Nic::Managed (7) create event on attached_to 
2020-01-22T04:56:15 [I|aud|05ac9418] Nic::Managed (7) create event on managed true
2020-01-22T04:56:15 [I|aud|05ac9418] Nic::Managed (7) create event on mode balance-rr
2020-01-22T04:56:15 [I|aud|05ac9418] Nic::Managed (7) create event on attached_devices 
2020-01-22T04:56:15 [I|aud|05ac9418] Nic::Managed (7) create event on bond_options 
2020-01-22T04:56:15 [I|aud|05ac9418] Nic::Managed (7) create event on primary true
2020-01-22T04:56:15 [I|aud|05ac9418] Nic::Managed (7) create event on provision true
2020-01-22T04:56:15 [I|aud|05ac9418] Nic::Managed (7) create event on compute_attributes {"type"=>"VirtualE1000", "network"=>"network-1452"}
2020-01-22T04:56:15 [I|aud|05ac9418] Nic::Managed (7) create event on execution true
2020-01-22T04:56:15 [I|aud|05ac9418] Nic::Managed (7) create event on ip6 
2020-01-22T04:56:15 [I|aud|05ac9418] Nic::Managed (7) create event on subnet6_id 
2020-01-22T04:56:15 [I|aud|05ac9418] Host::Base (4) create event on name sat-vm.com
2020-01-22T04:56:15 [I|aud|05ac9418] Host::Base (4) create event on root_pass $5$3zJvwlnnMB16NUCD$r8AY2deJIbpNoJcKIajRNRLe9AXZoc0P.Vc.KZ6J8K5

Network is correctly located and assigned.


Note You need to log in before you can comment on or make changes to this bug.